<template>
  <div id="select-modal">
    <el-dialog
      title="提示"
      class="exercises-modal"
      :visible.sync="showExercisesModal"
      width="800px"
    >
      <div class="exercises-modal__content">
        <div>1.不支持网页端刷题</div>
        <div>2.请使用手机扫码，进入【祥粤云学堂】小程序环境，进行刷题</div>
        <div>
          <img src="@/assets/xcxqrcode.jpg" alt="" />
        </div>
      </div>

      <span slot="footer" class="dialog-footer">
        <el-button type="primary" @click="showExercisesModal = false"
          >确 定</el-button
        >
      </span>
    </el-dialog>
  </div>
</template>

<script>
import { mapGetters } from "vuex";
export default {
  name: "selectClassModal",
  computed: {
    ...mapGetters(["userInfo"]),
  },
  data() {
    return {
      showExercisesModal: false,
    };
  },
  mounted() {},
  methods: {
    showModal(item) {
      this.$request
        .appBeforeAddress({
          // goodsId,
          orderGoodsId: item.orderGoodsId,
        })
        .then((res) => {
          this.showExercisesModal = true;
        })
        .catch((err) => {
          this.$message.warning(err.msg);
        });
    },
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
.exercises-modal {
  &__content {
    > div {
      font-size: 16px;
      line-height: 30px;
      text-align: center;

      img {
        display: inline;
      }
    }
  }
}
</style>
